"""3.1_to_3.2_data_tidyup

Revision ID: 585fe0ab42bb
Revises: aba7935f9226
Create Date: 2023-11-16 11:31:39.070684
"""

from alembic import op


# revision identifiers, used by Alembic.
revision = '585fe0ab42bb'
down_revision = 'b45847c0e62f'
branch_labels = None
depends_on = None


def upgrade():
    
    # ### code to update new 'display permissions' data attributes - converting True / False to their values ###
    
    op.execute('''
       UPDATE event_registration.registrations  SET consent_to_publish = 1, participant_hidden=true WHERE id IN 
        (SELECT registration_id from event_registration.registration_data where registration_data.data = 'true' and field_data_id in 
             (select current_data_id from event_registration.form_items where title = 'Display Permission'))
    ''')
    
    op.execute('''    
    update event_registration.registrations set consent_to_publish = 0, participant_hidden=false where id in 
        (select registration_id from event_registration.registration_data where registration_data.data = 'false' and field_data_id in 
             (select current_data_id from event_registration.form_items where title = 'Display Permission'))
    ''')

    # ### Removing related data and references to the 'old' Note UI field  ###
    
    op.execute('''
    delete from event_registration.registration_data where field_data_id in (
        SELECT current_data_id from event_registration.form_items where title = 'Note')  
    ''')
    
    op.execute(''' 
    WITH Bdeletes AS (
        DELETE from event_registration.form_items where title = 'Note' returning current_data_id  
    )
    delete from event_registration.form_field_data where id in (select current_data_id from Bdeletes)

    ''')
    
    # ### Removing related data and references to the 'old' display permissions UI field ###
    
    op.execute('''
    delete from event_registration.registration_data where field_data_id in (
        SELECT current_data_id from event_registration.form_items where title = 'Display Permission')  
    ''')
    
    op.execute(''' 
    WITH Bdeletes AS (
        DELETE from event_registration.form_items where title = 'Display Permission' returning current_data_id  
    )
    delete from event_registration.form_field_data where id in (select current_data_id from Bdeletes)

    ''')
 

def downgrade():
    pass
