# from sqlalchemy import Sequence

from indico.core.db import db
from indico.core.db.sqlalchemy import UTCDateTime
from indico.util.date_time import now_utc


class Proforma(db.Model):
    __tablename__ = 'proforma'
    __table_args__ = ({'schema': 'events'})

    #: Entry ID
    id = db.Column(
        db.Integer,
        primary_key=True
    )
    #: ID of the associated registration
    registration_id = db.Column(
        db.Integer,
        # db.ForeignKey('event_registration.registrations.id'),
        index=True,
        nullable=False
    )

    payment_type = db.Column(
        db.Text,
        nullable=False
    )

    amount = db.Column(
        db.Numeric(8, 2),
        nullable=False
    )

    #: the date and time the transaction was recorded
    timestamp = db.Column(
        UTCDateTime,
        default=now_utc,
        nullable=False
    )

    reg_type = db.Column(
        db.Text
    )

    test_field = db.Column(
        db.Text
    )
